Subject: support for draft-ietf-dnsop-serverid-00.txt

From: Edward Lewis <[email-masked]>
Date: Thu, 4 Jul 2002 23:07:04 -0400

I'm doing some work on lame delegations and am beginning to think 
that there is a strong need to require/recommend that a server 
respond to a liveness query.

The draft 
http://www.ietf.org/internet-drafts/draft-ietf-dnsop-serverid-00.txt 
suggests something like this.  It calls for a way to identify which 
server is answering a question.  My need is a bit more simple.

I just want to know if the IP address I am testing has a DNS server 
(at port 53).  This need is derived from the last question I posted 
to the list - whether a server is allowed to answer to just a few 
zones and drop all other queries.

The reason this is a problem is - I am testing servers for lameness 
to identify what is the best way to limit the impact of lameness on 
applications (that don't handle lame answers well).  (In other words, 
I'm not doing this for my health.)  In my first runs I would look at 
answers from servers, and if no answer cam back, I would mark the 
server down.

This worked until I ran across an implementation selectively answers 
to queries.

Now my code is testing all zones, even if the servers are "down." 
The result is that the test takes a lot more time.

So, what I would like to see is a simple liveness query - not even a 
"version" or "identity" of the server, but just a query/response that 
behaves like ping. (With attention to the broadcast ping problems.)

This would allow testing to happen faster, and with less impact on 
the network.  I see this as bolstering the ability to troubleshoot 
DNS, i.e., making it more resilient.  I would hope that this addition 
would be acceptable to even the most minimalist implementer out there.
-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis                                          +1-703-227-9854
ARIN Research Engineer

---

From: Randy Bush <[email-masked]>
Date: Thu, 04 Jul 2002 21:03:52 -0700

> server is answering a question.

actually, it doesn't.  it keeps saying that it does.  and it
is a very important question to have answered.  but what it
actually proposes it merely to report what software and
version responds to a particular query for software and
version.

given the use of anycast, one *really* wants to know the
identity of the server, as in host, responded to a query.
and not some subsequent query, but the one that gave one
the bad answer.

randy

---

From: Michael Richardson <[email-masked]>
Date: Fri, 05 Jul 2002 07:17:32 -0400

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "Edward" == Edward Lewis <[email-masked]> writes:
    Edward> I just want to know if the IP address I am testing has a DNS server 
    Edward> (at port 53).  This need is derived from the last question I posted 
    Edward> to the list - whether a server is allowed to answer to just a few 
    Edward> zones and drop all other queries.

    Edward> The reason this is a problem is - I am testing servers for lameness 
    Edward> to identify what is the best way to limit the impact of lameness on 
    Edward> applications (that don't handle lame answers well).  (In other words, 
    Edward> I'm not doing this for my health.)  In my first runs I would look at 
    Edward> answers from servers, and if no answer cam back, I would mark the 
    Edward> server down.

  That sounds reasonable so far.

    Edward> This worked until I ran across an implementation selectively answers 
    Edward> to queries.

  The question is, why would such an implementation even decide to answer
your DNS ping?

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [

---

From: Lars-Johan Liman <[email-masked]>
Date: 08 Jul 2002 14:00:22 +0200

> behaves like ping. (With attention to the broadcast ping problems.)

Sounds like you're looking for "STATUS?" (OPCODE = 2) or some such.

				  /Liman

---

From: bert hubert <[email-masked]>
Date: Mon, 8 Jul 2002 14:11:57 +0200

> Sounds like you're looking for "STATUS?" (OPCODE = 2) or some such.

Which is unimplemented and unspecified, sadly.

Regards,

bert

-- 
http://www.PowerDNS.com          Versatile DNS Software & Services
http://www.tk                              the dot in .tk
http://lartc.org           Linux Advanced Routing & Traffic Control HOWTO

---

From: Lars-Johan Liman <[email-masked]>
Date: 08 Jul 2002 15:50:42 +0200

> Which is unimplemented and unspecified, sadly.

Yes, it was merely a suggestion to bring up that "thread", and
possibly make it both specified and implemented.

				Cheers,
				  /Liman

---

From: Edward Lewis <[email-masked]>
Date: Mon, 8 Jul 2002 10:10:14 -0400

>Sounds like you're looking for "STATUS?" (OPCODE = 2) or some such.

The problem is that at least one implementation won't answer for 
anything other than an query of its authoritative data.  Ans as 
other's have said - this is an unimplemented feature.